<?php
// получить то, что пользователь написал в поле с именем (name) равным comm и записать это в файл base.txt - т.е. сохранить комментарий
// чтобы упростить доступ к переменным полученным с формы - можно их распаковать
extract($_REQUEST, EXTR_SKIP);
// теперь для того чтобы получить значение которое пользователь указал в форме комментирования достаточно обратится к переменной $comm, вместо $_REQUEST['comm']

// если мы хотим проверить работу получения данных с формы, то можно их для теста вывести в браузер:
//echo $comm;

$comm = strip_tags($comm);
// функция strip_tags удаляем все HTML-теги из значения переменной $comm, а $comm = написанной перед этой функции обновляем значение переменной $comm

$comm = '<p>' . $comm . '</p>';
// оборачиваем каждый комментарий в p-теги, чтобы комментарии не шли сплошной строкой
// символ точки (.) - команда склеивания, поэтому мы берем строчку '<p>' прибавляем к ней значение переменной $comm и прибавляем справа строку '</p>' и всё это записываем в качестве нового значения для переменной $comm

file_put_contents('base.txt', $comm, FILE_APPEND);
// file_put_contents - функция записи в файл
// 'base.txt' - имя файла, в которой будет произведена запись
// $comm - переменная, значение которой будет записано в файл
// FILE_APPEND - включает режим дозаписи в файл

// перенаправляем пользователя обратно на comment.php
header('Location: comment.php');
// фунция header отправляет браузеру заголовок указанный в ее параметре
// Location - это HTTP-заголовок, заставляющий браузер перейти по адресу: comment.php
?>